<?php 

//Custom Heading
if(function_exists('vc_map')){

   vc_map( array(

   "name"      => __("OT Heading", 'aoxhost'),

   "base"      => "heading",

   "class"     => "",

   "icon" => "icon-st",

   "category"  => 'Content',

   "params"    => array(

      array(

         "type"      => "textarea",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Text", 'aoxhost'),

         "param_name"=> "text",

         "value"     => "",

         "description" => __("", 'aoxhost')

      ),
      array(

         "type"      => "textarea",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Description", 'aoxhost'),

         "param_name"=> "desc",

         "value"     => "",

         "description" => __("", 'aoxhost')

      ),
      array(

        "type" => "dropdown",

        "heading" => __('Element Tag', 'aoxhost'),

        "param_name" => "tag",

        "value" => array(   

                     __('h1', 'aoxhost') => 'h1',

                     __('h2', 'aoxhost') => 'h2',

                     __('h3', 'aoxhost') => 'h3',  

                     __('h4', 'aoxhost') => 'h4',

                     __('h5', 'aoxhost') => 'h5',

                     __('h6', 'aoxhost') => 'h6',  

                     __('p', 'aoxhost')  => 'p',

                     __('div', 'aoxhost') => 'div',
                    ),

        "description" => __("Section Element Tag", 'aoxhost'),      

      ),
      array(

        "type" => "dropdown",

        "heading" => __('Text Align', 'aoxhost'),

        "param_name" => "align",

        "value" => array(   

                     __('left', 'aoxhost') => 'left',

                     __('right', 'aoxhost') => 'right',  

                     __('center', 'aoxhost') => 'center',

                     __('justify', 'aoxhost') => 'justify',
                     
                    ),

        "description" => __("Section Overlay", 'aoxhost'),      

      ),
      array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Font Size", 'aoxhost'),

         "param_name"=> "size",

         "value"     => "",

         "description" => __("", 'aoxhost')

      ),
      array(

         "type"      => "colorpicker",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Color", 'aoxhost'),

         "param_name"=> "color",

         "value"     => "",

         "description" => __("", 'aoxhost')

      ),
      array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Class Extra", 'aoxhost'),

         "param_name"=> "class",

         "value"     => "",

         "description" => __("", 'aoxhost')

      ),

    )));

}

if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT General Button", 'aoxhost'),
   "base"      => "button_general",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(            
     
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Label Button", 'aoxhost'),
         "param_name" => "btntext",
         "value" => '',
         "description" => __("", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Link Button", 'aoxhost'),
         "param_name" => "btnlink",
         "value" => '',
         "description" => __("Leave a blank do not show button.", 'aoxhost')
      ),   
      array(
        "type" => "dropdown",
        "heading" => __('Style Button', 'aoxhost'),
        "param_name" => "style",
        "value" => array(                        
                     __('but_ok_2', 'aoxhost') => 'but_ok_2',
                     __('but_wifi', 'aoxhost') => 'but_wifi',  
                     __('but_warning_sign', 'aoxhost') => 'but_warning_sign',
                     __('but_user', 'aoxhost') => 'but_user',
                     __('but_tag', 'aoxhost') => 'but_tag',  
                     __('but_table', 'aoxhost')  => 'but_table',
                     __('but_star', 'aoxhost') => 'but_star',
                     __('but_search', 'aoxhost') => 'but_search',
                     __('but_phone', 'aoxhost') => 'but_phone',
                     __('but_pencil', 'aoxhost') => 'but_pencil',
                     __('but_new_window', 'aoxhost') => 'but_new_window',
                     __('but_music', 'aoxhost') => 'but_music',
                     __('but_hand_right', 'aoxhost') => 'but_hand_right',
                     __('but_thumbs_down', 'aoxhost') => 'but_thumbs_down',
                     __('but_thumbs_up', 'aoxhost') => 'but_thumbs_up',
                     __('but_globe', 'aoxhost') => 'but_globe',
                     __('but_hospital', 'aoxhost') => 'but_hospital',
                     __('but_coffe_cup', 'aoxhost') => 'but_coffe_cup',
                     __('but_settings', 'aoxhost') => 'but_settings',
                     __('but_chat', 'aoxhost') => 'but_chat',
                     __('but_play_button', 'aoxhost') => 'but_play_button',
                     __('but_remove_2', 'aoxhost') => 'but_remove_2',
                     __('but_lock', 'aoxhost') => 'but_lock',
                     __('but_shopping_cart', 'aoxhost') => 'but_shopping_cart',
                     __('but_exclamation_mark', 'aoxhost') => 'but_exclamation_mark',
                     __('but_info', 'aoxhost') => 'but_info',
                     __('but_question_mark', 'aoxhost') => 'but_question_mark',
                     __('but_minus', 'aoxhost') => 'but_minus',
                     __('but_plus', 'aoxhost') => 'but_plus',
                     __('but_folder_open', 'aoxhost') => 'but_folder_open',
                     __('but_file', 'aoxhost') => 'but_file',
                     __('but_envelope', 'aoxhost') => 'but_envelope',
                     __('but_edit', 'aoxhost') => 'but_edit',
                     __('but_cogwheel', 'aoxhost') => 'but_cogwheel',
                     __('but_check', 'aoxhost') => 'but_check',
                     __('but_camera', 'aoxhost') => 'but_camera',
                     __('but_calendar', 'aoxhost') => 'but_calendar',
                     __('but_bookmark', 'aoxhost') => 'but_bookmark',
                     __('but_book', 'aoxhost') => 'but_book',
                     __('but_download', 'aoxhost') => 'but_download',
                     __('but_pdf', 'aoxhost') => 'but_pdf',
                     __('but_word_doc', 'aoxhost') => 'but_word_doc',
                     __('but_woman', 'aoxhost') => 'but_woman',
                     __('but_goback', 'aoxhost') => 'but_goback',
                    ),
        "description" => __("Selected Style Button", 'aoxhost'),      
      ),     
      array(
        "type" => "dropdown",
        "heading" => __('Target Button', 'aoxhost'),
        "param_name" => "target",
        "value" => array(   
                     __('Blank', 'aoxhost') => '_blank',
                     __('Self', 'aoxhost') => '_self',
                     __('Parent', 'aoxhost') => '_parent',  
                     __('Top', 'aoxhost') => '_top',                                        
                    ),
        "description" => __("Selected target Button", 'aoxhost'),      
      ),           
    )));
}

// About Area
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT About Area", 'aoxhost'),
   "base"      => "aboutarea",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Image",
         "param_name" => "image",
         "value" => "",
         "description" => __("Image size : 210 x 185", 'aoxhost')
      ),        
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title", 'aoxhost'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("", 'aoxhost')
      ),      
      array(
         "type"      => "textarea",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Description", 'aoxhost'),
         "param_name"=> "desc",
         "value"     => "",
         "description" => __("", 'aoxhost')
      ),      
    )));
}

// Service
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Service Box", 'aoxhost'),
   "base"      => "service",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Icon Service",
         "param_name" => "icon",
         "value" => "",
         "description" => __("Icon Service, 70 x 60", 'aoxhost')
      ),        
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title Service", 'aoxhost'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("Title", 'aoxhost')
      ),      
      array(
         "type"      => "textarea",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Description Service", 'aoxhost'),
         "param_name"=> "desc",
         "value"     => "",
         "description" => __("Description", 'aoxhost')
      ),    
      array(
        'type' => 'vc_link',
         "heading" => __("Link Service", 'aoxhost'),
         "param_name" => "link",         
         "description" => __("Add link to Service.", 'aoxhost')
      ),   
      array(
         'type' => 'css_editor',
         'heading' => __( 'CSS box', 'aoxhost' ),
         'param_name' => 'css',
         // 'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'smileshop' ),
         'group' => __( 'Design Options', 'aoxhost' )
      ),  
    )));
}

// Service 2
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Box Service 2", 'aoxhost'),
   "base"      => "service2",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Icon Service",
         "param_name" => "icon",
         "value" => "",
         "description" => __("Icon Service", 'aoxhost')
      ),        
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title Service", 'aoxhost'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("", 'aoxhost')
      ),      
      array(
         "type"      => "textarea",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Description Service", 'aoxhost'),
         "param_name"=> "desc",
         "value"     => "",
         "description" => __("Description", 'aoxhost')
      ),  
      array(
        'type' => 'vc_link',
         "heading" => __("Link Service", 'aoxhost'),
         "param_name" => "link",         
         "description" => __("Add link to Service.", 'aoxhost')
      ),    
      array(
         'type' => 'css_editor',
         'heading' => __( 'CSS box', 'aoxhost' ),
         'param_name' => 'css',
         // 'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'smileshop' ),
         'group' => __( 'Design Options', 'aoxhost' )
      ),   
    )));
}

// Service 3
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Box Service 3", 'aoxhost'),
   "base"      => "service3",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Icon Service",
         "param_name" => "icon",
         "value" => "",
         "description" => __("Icon Service", 'aoxhost')
      ),        
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title Service", 'aoxhost'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("Title", 'aoxhost')
      ),      
      array(
         "type"      => "textarea",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Description Service", 'aoxhost'),
         "param_name"=> "desc",
         "value"     => "",
         "description" => __("Description", 'aoxhost')
      ),   
      array(
        'type' => 'vc_link',
         "heading" => __("Link Service", 'aoxhost'),
         "param_name" => "link",         
         "description" => __("Add link to Service.", 'aoxhost')
      ),   
      array(
         'type' => 'css_editor',
         'heading' => __( 'CSS box', 'aoxhost' ),
         'param_name' => 'css',
         // 'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'smileshop' ),
         'group' => __( 'Design Options', 'aoxhost' )
      ),   
    )));
}

// Service 4
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Box Service 4", 'aoxhost'),
   "base"      => "service4",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Icon Service",
         "param_name" => "icon",
         "value" => "",
         "description" => __("Icon Service", 'aoxhost')
      ),        
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title Service", 'aoxhost'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("Title", 'aoxhost')
      ),      
      array(
         "type"      => "textarea",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Description Service", 'aoxhost'),
         "param_name"=> "desc",
         "value"     => "",
         "description" => __("Description", 'aoxhost')
      ),   
      array(
        'type' => 'vc_link',
         "heading" => __("Link Service", 'aoxhost'),
         "param_name" => "link",         
         "description" => __("Add link to Service.", 'aoxhost')
      ),  
      array(
         'type' => 'css_editor',
         'heading' => __( 'CSS box', 'aoxhost' ),
         'param_name' => 'css',
         // 'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'smileshop' ),
         'group' => __( 'Design Options', 'aoxhost' )
      ),   
    )));
}

// What's New
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT What's New", 'aoxhost'),
   "base"      => "whats_new",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Icon What's New",
         "param_name" => "icon",
         "value" => "",
         "description" => __("Icon What's New, 70 x 60", 'aoxhost')
      ),        
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title What's New", 'aoxhost'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("Title", 'aoxhost')
      ),      
      array(
         "type"      => "textarea",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Description What's New", 'aoxhost'),
         "param_name"=> "desc",
         "value"     => "",
         "description" => __("Description", 'aoxhost')
      ),      
    )));
}

// Support
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Support Box", 'aoxhost'),
   "base"      => "supportbox",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(            
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title", 'aoxhost'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("Title", 'aoxhost')
      ),      
      array(
         "type"      => "textarea_html",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Content Support", 'aoxhost'),
         "param_name"=> "content",
         "value"     => "",
         "description" => __("Content", 'aoxhost')
      ),      
    )));
}

// Pricing Tables 2
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Pricing Tables 2"),
   "base" => "pricing2",
   "class" => "",
   "category" => 'Content',
   "icon" => "icon-st",
   "params" => array(
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title", 'aoxhost'),

         "param_name" => "title",

         "value" => "",

         "description" => __("Title", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Price", 'aoxhost'),

         "param_name" => "price",

         "value" => '',

         "description" => __("Price", 'aoxhost')

      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Date Time", 'aoxhost'),
         "param_name" => "time",
         "value" => '',
         "description" => __("Date Time", 'aoxhost')
      ),   
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Description Yearly small text.", 'aoxhost'),
         "param_name" => "subtime",
         "value" => '',
         "description" => __("Yearly small text", 'aoxhost')
      ),        
      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Details", 'aoxhost'),

         "param_name" => "content",

         "value" => "",

         "description" => __("Details", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Label Button", 'aoxhost'),

         "param_name" => "btntext",

         "value" => '',

         "description" => __("", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Link Button", 'aoxhost'),

         "param_name" => "btnlink",

         "value" => '',

         "description" => __("", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Column Width", 'aoxhost'),

         "param_name" => "col_width",

         "value" => '',

         "description" => __("If 4 columns : 20% for each Column, If 5 columns : 25% for each Column ", 'aoxhost')

      ),
      array(
        "type" => "dropdown",
        "heading" => __('Featured', 'aoxhost'),
        "param_name" => "feature",
        "value" => array(   
                     __('No', 'aoxhost') => 'no',
                     __('Yes', 'aoxhost') => 'yes',                  
                    ),
        "description" => __("Section Overlay", 'aoxhost'),      
      ),      

    )));
}

// Pricing Tables Compare
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Tables Compare"),
   "base" => "compare_table",
   "class" => "",
   "category" => 'Content',
   "icon" => "icon-st",
   "params" => array(
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title", 'aoxhost'),

         "param_name" => "title",

         "value" => "",

         "description" => __("", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Price", 'aoxhost'),

         "param_name" => "price",

         "value" => '',

         "description" => __("ex : $0.00", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Date Time", 'aoxhost'),

         "param_name" => "time",

         "value" => '',

         "description" => __("ex : /m ", 'aoxhost')

      ),     
      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Details", 'aoxhost'),

         "param_name" => "content",

         "value" => "",

         "description" => __("", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Label Button", 'aoxhost'),

         "param_name" => "btntext",

         "value" => '',

         "description" => __("", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Link Button", 'aoxhost'),

         "param_name" => "btnlink",

         "value" => '',

         "description" => __("", 'aoxhost')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Column Width", 'aoxhost'),

         "param_name" => "col_width",

         "value" => '',

         "description" => __("If 4 columns : 20% for each Column, If 5 columns : 25% for each Column ", 'aoxhost')
      ),          
    )));
}

// Head Line
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Head Line", 'aoxhost'),
   "base"      => "head_line",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(
      array(
        "type" => "dropdown",
        "heading" => __('Style', 'aoxhost'),
        "param_name" => "headline",
        "value" => array(   
                     __('headline1', 'aoxhost') => 'headline1',
                     __('headline2', 'aoxhost') => 'headline2',  
                     __('headline3', 'aoxhost') => 'headline3',
                     __('headline4', 'aoxhost') => 'headline4',                  
                    ),
        "description" => __("Selected style head line.", 'aoxhost'),      

      ),     
    )));
}

// Pricing Tables 
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Pricing Tables"),
   "base" => "pricing",
   "class" => "",
   "category" => 'Content',
   "icon" => "icon-st",
   "params" => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title", 'aoxhost'),
         "param_name" => "title",
         "value" => "",
         "description" => __("", 'aoxhost')
      ),      
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Price", 'aoxhost'),
         "param_name" => "price",
         "value" => '',
         "description" => __("", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Long Time", 'aoxhost'),
         "param_name" => "time",
         "value" => '',
         "description" => __("", 'aoxhost')
      ),      
      array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => __("Details", 'aoxhost'),
         "param_name" => "details",
         "value" => "",
         "description" => __("", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Label Button", 'aoxhost'),
         "param_name" => "btntext",
         "value" => '',
         "description" => __("", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Link Button", 'aoxhost'),
         "param_name" => "btnlink",
         "value" => '',
         "description" => __("", 'aoxhost')
      ),        
    )));

}

// Banner ADS
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Banner ADS", 'aoxhost'),
   "base"      => "banner_ads",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(            
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title", 'aoxhost'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("", 'aoxhost')
      ),      
      array(
         "type"      => "textarea_html",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Description", 'aoxhost'),
         "param_name"=> "content",
         "value"     => "",
         "description" => __("", 'aoxhost')
      ),   
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Label Button", 'aoxhost'),
         "param_name" => "btntext",
         "value" => '',
         "description" => __("", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Link Button", 'aoxhost'),
         "param_name" => "btnlink",
         "value" => '',
         "description" => __("Leave a blank do not show button.", 'aoxhost')
      ),     
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Background Image",
         "param_name" => "bgimage",
         "value" => "",
         "description" => __("", 'aoxhost')
      ),    
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Extra class box", 'aoxhost'),
         "param_name" => "classbox",
         "value" => '',
         "description" => __("Extra class : ad_one or ad_two", 'aoxhost')
      ),  
    )));
}

//Testimonials Slider
if(function_exists('vc_map')){

   vc_map( array(

   "name"      => __("OT Testimonials Slider", 'aoxhost'),

   "base"      => "testimonials",

   "class"     => "",

   "icon" => "icon-st",

   "category"  => 'Content',

   "params"    => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title", 'aoxhost'),
         "param_name" => "title",
         "value" => "",
         "description" => __("Title testimonials show.", 'aoxhost')
      ),     

    )));

}

//Testimonials Box
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Testimonials Box", 'aoxhost'),
   "base"      => "testimonialsbox",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Content',
   "params"    => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Name", 'aoxhost'),
         "param_name" => "name",
         "value" => "",
         "description" => __("Title testimonials show.", 'aoxhost')
      ),     
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Photo",
         "param_name" => "photo",
         "value" => "",
         "description" => __("Photo Size : 70 x 70, Only use for Style 1", 'aoxhost')
      ),  
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => __("Description", 'aoxhost'),
         "param_name" => "desc",
         "value" => "",
         "description" => __("", 'aoxhost')
      ), 
      array(
        "type" => "dropdown",
        "heading" => __('Testimonials Style', 'aoxhost'),
        "param_name" => "style",
        "value" => array(   
                     __('Style Default', 'aoxhost') => 'default',
                     __('Style 1', 'aoxhost') => 'style1',   
                     __('Style 2', 'aoxhost') => 'style2',                
                    ),
        "description" => __("Selected Style", 'aoxhost'),      
      ), 
    )));

}

//Our Team
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Our Team", 'aoxhost'),
   "base" => "team",
   "class" => "",
   "icon" => "icon-st",
   "category" => 'Content',
   "params" => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Photo Member",
         "param_name" => "photo",
         "value" => "",
         "description" => __("Avarta of member, Recomended Size: 420 x 420", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Name", 'aoxhost'),
         "param_name" => "name",
         "value" => "",
         "description" => __("Member's Name", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Job", 'aoxhost'),
         "param_name" => "job",
         "value" => "",
         "description" => __("Member's job.", 'aoxhost')
      ),
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => "Description",
         "param_name" => "desc",
         "value" => "",
         "description" => __("", 'aoxhost')
      ), 
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Icon 1", 'aoxhost'),
         "param_name"=> "icon1",
         "value"     => "",
         "description" => __("Find here: <a target='_blank' href='http://fortawesome.github.io/Font-Awesome/icons/'>http://fortawesome.github.io/Font-Awesome/icons/</a>", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => "Url 1",
         "param_name"=> "url1",
         "value"     => "",
         "description" => __("Url.", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Icon 2", 'aoxhost'),
         "param_name"=> "icon2",
         "value"     => "",
         "description" => __("Find here: <a target='_blank' href='http://fortawesome.github.io/Font-Awesome/icons/'>http://fortawesome.github.io/Font-Awesome/icons/</a>", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => "Url 2",
         "param_name"=> "url2",
         "value"     => "",
         "description" => __("Url.", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Icon 3", 'aoxhost'),
         "param_name"=> "icon3",
         "value"     => "",
         "description" => __("Find here: <a target='_blank' href='http://fortawesome.github.io/Font-Awesome/icons/'>http://fortawesome.github.io/Font-Awesome/icons/</a>", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => "Url 3",
         "param_name"=> "url3",
         "value"     => "",
         "description" => __("Url.", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Icon 4", 'aoxhost'),
         "param_name"=> "icon4",
         "value"     => "",
         "description" => __("Find here: <a target='_blank' href='http://fortawesome.github.io/Font-Awesome/icons/'>http://fortawesome.github.io/Font-Awesome/icons/</a>", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => "Url 4",
         "param_name"=> "url4",
         "value"     => "",
         "description" => __("Url.", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Icon 5", 'aoxhost'),
         "param_name"=> "icon5",
         "value"     => "",
         "description" => __("Find here: <a target='_blank' href='http://fortawesome.github.io/Font-Awesome/icons/'>http://fortawesome.github.io/Font-Awesome/icons/</a>", 'aoxhost')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => "Url 5",
         "param_name"=> "url5",
         "value"     => "",
         "description" => __("Url.", 'aoxhost')
      ),
    )));
}

// Call To Action
if(function_exists('vc_map')){
   vc_map( array(

   "name" => __("OT Call To Action"),

   "base" => "cta1",

   "class" => "",

   "category" => 'Content',

   "icon" => "icon-st",

   "params" => array(
    array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title", 'aoxhost'),

         "param_name" => "title",

         "value" => "",

         "description" => __("Title call to action", 'aoxhost')

      ),
      array(
         "type" => "textarea",

         "holder" => "div",

         "class" => "",

         "heading" => __("Text", 'aoxhost'),

         "param_name" => "text",

         "value" => "",

         "description" => __("Text call to action", 'aoxhost')

      ),      
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Button Text", 'aoxhost'),

         "param_name" => "btntext",

         "value" => "",

         "description" => __("Label button", 'aoxhost')

      ),   
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Button Link", 'aoxhost'),

         "param_name" => "btnlink",

         "value" => '',

         "description" => __("Leave a blank do not show.", 'aoxhost')

      ),      
    )
    ));
}

// Google Map
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Google Map", 'aoxhost'),
   "base" => "ggmap",
   "class" => "",
   "icon" => "icon-st",
   "category" => 'Content',
   "params" => array(  
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("ID Map", 'aoxhost'),
         "param_name" => "idmap",
         "value" => "",
         "description" => __("Please enter ID Map, Ex: map-canvas, map-canvas1, map-canvas2, map-canvas3, ..etc", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Height Map", 'aoxhost'),
         "param_name" => "height",
         "value" => 320,
         "description" => __("Please enter number height Map, 300, 350, 380, ..etc. Default: 420.", 'aoxhost')
      ),    
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Latitude", 'aoxhost'),
         "param_name" => "lat",
         "value" => -37.817,
         "description" => __("Please enter <a href='http://www.latlong.net/'>Latitude</a> google map", 'aoxhost')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Longitude", 'aoxhost'),
         "param_name" => "long",
         "value" => 144.962,
         "description" => __("Please enter <a href='http://www.latlong.net/'>Longitude</a> google map", 'aoxhost')

      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Zoom Map", 'aoxhost'),
         "param_name" => "zoom",
         "value" => "",
         "description" => __("Please enter Zoom Map, Default: 15", 'aoxhost')
      ),
      array(
            "type" => "colorpicker",
            "holder" => "div",
            "class" => "",
            "heading" => __("Map color", 'aoxhost'),
            "param_name" => "mapcolor",
            "value" => '', //Default White color
            "description" => __("Choose Map color", 'aoxhost')
      ),
     array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Company Name", 'aoxhost'),
         "param_name" => "address",
         "value" => "",
         "description" => __("Please enter Title.", 'aoxhost')
      ),          
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Icon Map marker",
         "param_name" => "icon",
         "value" => "",
         "description" => __("Icon Map marker, 47 x 68", 'aoxhost')
      ),         
    )));
}

?>